2020 Software Requirements - Window 10 and Higher

Tax Software Minimum System Requirements are as follows:

**As of May 1, 2020 due to security reasons we will no longer be supporting Window 7, 8 & 8.1. Our software will support Window 10 and Higher only**

 This alert is to proactively inform you that after May 1st, 2020 we will no longer be supporting Windows 8.1 and earlier. We are doing this in order to provide the most secure and seamless experience using our tax solutions. Please keep in mind that in addition to affecting your tax software users, this will also be affecting your efile-1 users.

Powered by Zendesk